npm command-line interface

# npm-set-script

Set tasks in the scripts section of package.json

## Table of contents

- Synopsis
- Configuration

- `workspace`
- `workspaces`

- See Also

### Synopsis

An npm command that lets you create a task in the `scripts` section of the `package.json`.

    npm set-script [<script>] [<command>]

Example:

- `npm set-script start "http-server ."`

    {
      "name": "my-project",
      "scripts": {
        "start": "http-server .",
        "test": "some existing value"
      }
    }

### Configuration

#### `workspace`

- Default:
- Type: String (can be set multiple times)

Enable running a command in the context of the configured workspaces of the current project while filtering by running only the workspaces defined by this configuration option.

Valid values for the `workspace` config are either:

- Workspace names
- Path to a workspace directory
- Path to a parent workspace directory (will result to selecting all of the nested workspaces)

When set for the `npm init` command, this may be set to the folder of a workspace which does not yet exist, to create the folder and set it up as a brand new workspace within the project.

This value is not exported to the environment for child processes.

#### `workspaces`

- Default: false
- Type: Boolean

Enable running a command in the context of all the configured workspaces.

This value is not exported to the environment for child processes.

### See Also

- npm run-script
- npm install
- npm test
- npm start